package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author: cy
 * @Date: 2022/4/19
 */
@ApiModel(value = "PracticeTeacherVo")
public class PracticeTeacherVo implements Serializable {
    @ApiModelProperty(value = "老师id")
    private Integer teacherId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    private String realName;

    @ApiModelProperty(value = "头像地址")
    private String avatar;

    @ApiModelProperty(value = "星级")
    private String starGrade;

    @ApiModelProperty(value = "已上课时")
    private String expTime;

    @ApiModelProperty(value = "毕业学校")
    private String school;

    @ApiModelProperty(value = "学校专业")
    private String schoolSubject;

    @ApiModelProperty(value = "设置的声部")
    private String configSubject;

    @ApiModelProperty(value = "声部id")
    private Integer subjectId;

    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @ApiModelProperty(value = "声部价格")
    private String subjectPrice;

    @ApiModelProperty(value = "课程时长(分钟)")
    private String courseMinutes;

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getStarGrade() {
        return starGrade;
    }

    public void setStarGrade(String starGrade) {
        this.starGrade = starGrade;
    }

    public String getExpTime() {
        return expTime;
    }

    public void setExpTime(String expTime) {
        this.expTime = expTime;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getSchoolSubject() {
        return schoolSubject;
    }

    public void setSchoolSubject(String schoolSubject) {
        this.schoolSubject = schoolSubject;
    }

    public String getConfigSubject() {
        return configSubject;
    }

    public void setConfigSubject(String configSubject) {
        this.configSubject = configSubject;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getSubjectPrice() {
        return subjectPrice;
    }

    public void setSubjectPrice(String subjectPrice) {
        this.subjectPrice = subjectPrice;
    }

    public String getCourseMinutes() {
        return courseMinutes;
    }

    public void setCourseMinutes(String courseMinutes) {
        this.courseMinutes = courseMinutes;
    }
}

